/*
Tiamat - a role-playing game framework
SequenceEditor.java - main class for a Sequence editor
 
 Copyright  (C) 2006 Hugues Johnson
 
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.
 
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
the GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package com.huguesjohnson.tiamat.tools;

import java.lang.Runnable;
import java.lang.String;
import java.lang.System;
import java.lang.Thread;
import com.huguesjohnson.tiamat.tools.SequenceEditorFrame;

/** Main class for a Sequence editor.
 * @author Hugues Johnson
 */
public class SequenceEditor implements Runnable{
    /** constructor */
    public SequenceEditor(){
        Thread thread=new Thread(this);
        thread.start();
    }
    
    /** exitHandler - override this if creating an instance of ThemeEditor in another class */
    public void exitHandler(){
        System.exit(0);
    }

    /** start the thread */
    @SuppressWarnings("serial")
	public void run(){
    	SequenceEditorFrame frame=new SequenceEditorFrame(){
            public void exitEvent(){
                exitHandler();
            }
        };
        frame.setVisible(true);
    }
    
    /** entry point for program */
    public static void main(String[] arguments){
        new SequenceEditor();
    }
}